# setting.yml

## 一、通用信息

这个文件是 PlotSquared 插件的主配置文件，位于 `/plugins/PlotSquared/config/setting.yml` 处.

## 二、参考文件

<pre><code># 该选项不可修改。显示您使用插件的平台。
platform: "Bukkit"
# 是否在控制台输出debug信息，平常无需使用。
debug: true

# 红石有关设置
redstone:
  # 是否在无主地皮禁用红石
  disable-unoccupied: false
  # 是否在玩家离线时禁用红石
  disable-offline: false
  # 是否检测试图将方块推出边界等的非法活塞装置
  detect-invalid-edge-pistons: false

# UUID 有关设置
# 不要修改这里的任何选项，除非你知道自己在干什么。
uuid:
<strong>  # 是否强制使用离线模式生成UUID
</strong>  offline: false
  # 是否强制使用小写字母作为玩家的名称生成UUID
  force-lowercase: false
  # 最多储存的UUID数量
  uuid-cache-size: 100000
  # 从Mojang API获取后台UUID的速率限制（每10分钟）
  background-limit: 200
  # 从Mojang API获取随机UUID的速率限制（每10分钟）
  impromptu-limit: 300
  # 非Blocking UUID请求（主要是命令）超时时间（以毫秒为单位）
  non-blocking-timeout: 3000
  # Blocking UUID请求（事件）超时时间（以毫秒为单位）
  blocking-timeout: 10
  # 是否读取旧版本插件的数据信息
  legacy-database-support: true
  # 是否在无法读取到有关玩家信息时返回 Unknown 值
  unknown-as-default: true
  # 是否启用自动后台缓存。强烈建议将其保持打开状态。只有当服务器具有大量地皮（>110万）时，才应考虑禁用此选项。
  background-caching-enabled: true
  # 是否启用 PaperMC 服务
  service-paper: true
  # 是否启用 LuckPerms 服务
  service-luckperms: true
  # 是否启用 Bukkit 服务
  service-bukkit: true
  # 是否启用 EssentialsX 服务
  service-essentialsx: true

# 是否启用插件的部分模块
enabled-components:
  # 数据库模块可以储存玩家的数据
  database: true
  # 事件模块可以追踪玩家的动作
  events: true
  # 指令模块可以与插件进行交互
  commands: true
  # 是否开启更新通知。
  update-notifications: true
  # 是否将用户的元数据储存在数据库中
  persistent-meta: true
  # 是否将评分数据储存在数据库中
  rating-cache: true
  # 是否允许 WorldEdit 创世神插件在地皮内操作
  worldedit-restrictions: true
  # 是否允许经济插件以出售、购买地皮等
  economy: false
  # 是否清理过期和过于简陋的地皮
  plot-expiry: false
  # 是否启用区块优化机制
  chunk-processor: false
  # 是否清理在地皮世界的“路”上的生物
  kill-road-mobs: false
  # 是否清理在地皮世界的“路”上的驯服或骑行的生物
  kill-owned-road-mobs: false
  # 是否清理在地皮世界的“路”上的掉落物
  kill-road-items: false
  # 是否清理在地皮世界的“路”上的载具
  kill-road-vehicles: false
  # 在玩家输入指令时缺少参数时是否给予提示
  comment-notifier: true
  # 是否让玩家通过 PlotSquared 直接认领整个世界
  worlds: false
  # 是否主动清除无效的数据库信息
  database-purger: false
  # 是否清理被封禁的玩家的地皮（只支持原版封禁，其他封禁插件均不支持）
  ban-deleter: false
  # 是否使用变量符
  external-placeholders: true
  # 是否在重启期间继续地皮“路”重新生成
  persistent-road-regen: true
  # 是否启用 `/plot component` GUI
  component-presets: true
  # 是否启用根据玩家客户端语言决定玩家显示的语言
  per-user-locale: false
  # 插件默认语言
 default-locale: "en"
  # 是否在使用点击聊天框中文本执行指令时使用UUID替换玩家的用户名
  extended-username-completion: true
  # 指令变样形式
  tab-completed-aliases:
  - "plot"
  - "plots"
  - "p"
  - "plotsquared"
  - "plot2"
  - "p2"
  - "ps"
  - "2"
  - "plotme"
  - "plotz"
  - "ap"
  # 是否让 PlotSquared 与 MvDWPlaceholderAPI 挂钩
  use-mvdwapi: true

# 自动清理任务
auto-clear:
  task1:
    threshold: -1
    required-plots: -1
    confirmation: true
    days: 90
    skip-account-age-days: -1
    # 是否删除未知主人的地皮
    delete-if-owner-is-unknown: false
    worlds:
    - "*"
    calibration:
      variety: 0
      variety-sd: 0
      changes: 0
      changes-sd: 1
      faces: 0
      faces-sd: 0
      data-sd: 0
      air: 0
      air-sd: 0
      data: 0

# 杂项设置
done:
  # 是否要求地皮必须处于已完成状态才能使用下载指令 (/plot download)
  required-for-download: false
  # 是否要求地皮必须处于已完成状态才能对其评价
  required-for-ratings: false
  # 当地皮处于已完成状态时是否禁止建筑
  restrict-building: false
  # 是否限制玩家认领地皮的上限
  counts-towards-limit: true

# 路径配置
paths:
  schematics: "schematics"
  templates: "templates"

# 结构图配置
web:
  # 网页示意图保存系统
  #  - 所有保存的示意图都是匿名且私人的
  #  - 使用者可以删除其结构图
  #  - 支持地皮的保存，下载和上传
  url: "https://schem.intellectualsites.com/plots/"
  # 是否对 /plot download 和 /plot save 指令使用旧版网页示意图保存系统
  # 请注意该功能将很快被删除，请尽快更新！
  legacy-webinterface: false

# 评价配置
ratings:
  # 是否将评价系统替换为点赞系统，这会添加 /plot like/dislike 指令并移除评价有关的指令
  use-likes: false
  # 评价分类
  categories: []
  # 评价 GUI 内各个评价的对应方块
  block-0: "brown_wool"
  block-1: "red_wool"
  block-2: "orange_wool"
  block-3: "yellow_wool"
  block-4: "lime_wool"
  block-5: "cyan_wool"
  block-6: "blue_wool"
  block-7: "purple_wool"
  block-8: "magenta_wool"

# 传送配置
teleport:
  # 在玩家死亡后是否传送到其地皮
  on-death: false
  # 在玩家登录服务器后是否传送到其地皮
  on-login: false
  # 在玩家认领地皮后是否传送到其地皮 (/plot claim)
  on-claim: true
  # 在玩家自动认领地皮后是否传送到其地皮 (/plot auto)
  on-auto: true
  # 是否对传送添加延时功能 (以秒为单位)
  # 可以通过 `plots.teleport.delay.bypass` 权限节点无视该演示
  delay: 0
  # 在清除地皮时是否将玩家传送到地皮外
  on-clear: false
  # 在删除地皮时是否将玩家传送到地皮外
  on-delete: false
  # visit 指令是否是分世界使用而不是全服通用的
  per-world-visit: false
  # 是否在使用 visit 命令时，搜索合并后的地皮以确定是否有多个主人
  visit-merged-owners: true

# 区块优化配置
chunk-processor:
  # 自动取消保存未被认领的地皮所在的区块
  auto-trim: false
  # 每个区块的 tile 实体上限
  max-tiles: 4096
  # 每个区块的普通实体上限
  max-entities: 512
  # 是否禁用原版方块重力
  disable-physics: false

# 认领配置
claim:
  # 使用 `/plot auto &#x3C;大小>` 指令时最大认领的区域
  max-auto-area: 4

# 上限设置
limit:
  # 上限是否是全服同用的
  global: false
  # 玩家拥有的地皮上限
  max-plots: 128

# 地皮Titles配置
titles:
  # 进入地皮时是否通过 Title 显示其 ID 信息.
  # 单个地皮可以使用指令 `/plot flag set titles false` 以关闭.
  display-titles: true
  # Title 的渐出时间 (以 tick 为单位)
  titles-fade-in: 10
  # Title 的停留时间 (以 tick 为单位)
  titles-stay: 50
  # Title 的消淡时间 (以 tick 为单位)
  titles-fade-out: 20
  # 是否通过 ActionBar 替换 Title 显示
  titles-as-actionbar: false
  # 是否在公共地皮上显示 Title
  display-default-on-server-plot: false

# 指令 Tab 键补充设置
tab-completions:
  # 每秒 Tab 键补充的上限.
  cache-expiration: 15

# GlobalBlockQueue 配置
queue:
  max-iteration-time: 30
  initial-batch-size: 5
  # 是否通知玩家或者控制台排队进程
  notify-progress: true
  # 通知间隔，以毫秒为单位
  notify-interval: 5000
  # 通知前等待的时间
  notify-wait: 5000
  lighting-mode: 1
  update-edges: true

# 是否让 Paper 处理对应的地皮事件
paper-components:
  # 是否启用
  paper-listeners: true
  # 阻止实体离开地皮
  entity-pathing: true
  # 取消实体生成
  cancel-chunk-spawn: true
  # 使用 PlayerLaunchProjectileEvent 取消弹射物发射
  player-projectile: true
  # 取消刷怪笼实体生成
  spawner-spawn: true
  # 取消自然实体生成
  creature-spawn: true
  # 检查 Tile 实体或者方块放置上限
  tile-entity-check: true
  # 使用 Paper 的异步 Tab 键指令补充
  async-tab-completion: false

# 是否让 FAWE 参与对应的地皮事件
fawe-components:
  fawe-hook: true
  cuboids: true
  clear: true
  copy-and-swap: true
  set-biome: true

# 确认指令配置
confirmation:
  # 确认指令超时时间
  confirmation-timeout-seconds: 20

# 备份配置
backup:
  # 是否自动在玩家对地皮执行破坏性操作时备份地皮
  automatic-backups: false
  # 单个地皮创建的备份上限
  backup-limit: 3
  # 是否在玩家不再认领该地皮后自动清除对应地皮的备份
  delete-on-unclaim: true

# Chat related settings
chat:
  # Should the plot chat be logged to console?
  log-plotchat-to-console: true
  # Whether an action bar message should be send over a chat message for notification purposes such for the
  # notify-enter, notify-leave, greeting or farewell flag.
  notification-as-actionbar: false
  # The click event actions that should be removed from user input in e.g. plot flags like 'greeting'.
  # Actions like 'RUN_COMMAND' may be used maliciously as players could trick staff into clicking on messages
  # triggering destructive commands.
  click-event-actions-to-remove:
  - "OPEN_URL"
  - "OPEN_FILE"
  - "RUN_COMMAND"
  - "SUGGEST_COMMAND"
  - "CHANGE_PAGE"
  - "COPY_TO_CLIPBOARD"

# Used to format the plot creation date placeholder. Modifying the format does not affect the storage time.
timeformat:
  # The date used formatted in ISO 8601
  date-format: "yyyy-MM-dd HH:mm:ss z"
  # The time zone used
  time-zone: "GMT"

# Schematic web interface related settings
arkitektonika:
  # The url of the backend server (Arkitektonika)
  backend-url: "https://api.schematic.cloud/"
  # The url used to generate a download link from.
  # {key} will be replaced with the generated key
  download-url: "https://api.schematic.cloud/download/{key}"
  # The url used to generate a deletion link from.
  # {key} will be replaced with the generated key
  delete-url: "https://api.schematic.cloud/delete/{key}"

# 结构图配置
schematics:
  # 是否在地皮区域顶部生成结构图，如果为否则为在 Y=1 处.
  paste-on-top: true
  # 同上，在路区域.
  paste-road-on-top: true
  # 如果结构图大小和地皮大小不一致是否仍然复制.
  # 如果结构图太大，那么会被切剪.
  paste-mismatches: true
  # 墙的高度是否计算在路结构图中.
  use-wall-in-road-schem-height: true

# 更新检查配置
updatechecker:
  # 检查频率（以分钟为单位）
  poll-rate: 360
  # 更新发现后是否只在控制台提示一次.
  notify-once: true

# 通用设置
general:
  # 使用科学数字 (4.2E8)
  scientific: false
  # 合并地皮时将地皮四周的墙替换为空气
  merge-replace-wall: true
  # 是否显示爆炸效果粒子
  always-show-explosions: false
  # 地皮参数中禁止出现的方块
  invalid-blocks:
  - "acacia_button"
  - "acacia_fence_gate"
  - "acacia_door"
  - "acacia_pressure_plate"
  - "acacia_trapdoor"
  - "acacia_sapling"
  - "acacia_sign"
  - "acacia_wall_sign"
  - "acacia_leaves"
  - "birch_button"
  - "birch_fence_gate"
  - "birch_door"
  - "birch_pressure_plate"
  - "birch_trapdoor"
  - "birch_sapling"
  - "birch_sign"
  - "birch_wall_sign"
  - "birch_leaves"
  - "dark_oak_button"
  - "dark_oak_fence_gate"
  - "dark_oak_door"
  - "dark_oak_pressure_plate"
  - "dark_oak_trapdoor"
  - "dark_oak_sapling"
  - "dark_oak_sign"
  - "dark_oak_wall_sign"
  - "dark_oak_leaves"
  - "jungle_button"
  - "jungle_fence_gate"
  - "jungle_door"
  - "jungle_pressure_plate"
  - "jungle_trapdoor"
  - "jungle_sapling"
  - "jungle_sign"
  - "jungle_wall_sign"
  - "jungle_leaves"
  - "oak_button"
  - "oak_fence_gate"
  - "oak_door"
  - "oak_pressure_plate"
  - "oak_trapdoor"
  - "oak_sapling"
  - "oak_sign"
  - "oak_wall_sign"
  - "oak_leaves"
  - "spruce_button"
  - "spruce_fence_gate"
  - "spruce_door"
  - "spruce_pressure_plate"
  - "spruce_trapdoor"
  - "spruce_sapling"
  - "spruce_sign"
  - "spruce_wall_sign"
  - "spruce_leaves"
  - "activator_rail"
  - "detector_rail"
  - "rail"
  - "allium"
  - "azure_bluet"
  - "blue_orchid"
  - "dandelion"
  - "lilac"
  - "orange_tulip"
  - "oxeye_daisy"
  - "peony"
  - "pink_tulip"
  - "poppy"
  - "potted_allium"
  - "potted_azure_bluet"
  - "potted_birch_sapling"
  - "potted_blue_orchid"
  - "potted_brown_mushroom"
  - "potted_cactus"
  - "potted_fern"
  - "potted_jungle_sapling"
  - "potted_oak_sapling"
  - "potted_orange_tulip"
  - "potted_oxeye_daisy"
  - "potted_pink_tulip"
  - "potted_red_mushroom"
  - "potted_red_tulip"
  - "red_mushroom"
  - "red_tulip"
  - "potted_spruce_sapling"
  - "potted_white_tulip"
  - "rose_bush"
  - "sunflower"
  - "white_tulip"
  - "cornflower"
  - "wither_rose"
  - "attached_melon_stem"
  - "attached_pumpkin_stem"
  - "melon_stem"
  - "pumpkin_stem"
  - "mushroom_stem"
  - "beetroots"
  - "brown_mushroom"
  - "cactus"
  - "carrots"
  - "chorus_flower"
  - "chorus_plant"
  - "cocoa"
  - "dead_bush"
  - "fern"
  - "kelp_plant"
  - "large_fern"
  - "lily_pad"
  - "potatoes"
  - "sea_pickle"
  - "seagrass"
  - "sugar_cane"
  - "tall_grass"
  - "tall_seagrass"
  - "vine"
  - "wheat"
  - "bamboo"
  - "anvil"
  - "barrier"
  - "beacon"
  - "brewing_stand"
  - "bubble_column"
  - "cake"
  - "cobweb"
  - "comparator"
  - "creeper_head"
  - "creeper_wall_header"
  - "damaged_anvil"
  - "daylight_detector"
  - "dragon_egg"
  - "dragon_head"
  - "dragon_wall_head"
  - "enchanting_table"
  - "end_gateway"
  - "end_portal"
  - "end_rod"
  - "ender_chest"
  - "chest"
  - "flower_pot"
  - "grass"
  - "heavy_weighted_pressure_plate"
  - "lever"
  - "light_weighted_pressure_plate"
  - "player_head"
  - "redstone_wire"
  - "repeater"
  - "comparator"
  - "redstone_torch"
  - "torch"
  - "redstone_wall_torch"
  - "wall_torch"
  - "sign"
  - "skeleton_skull"
  - "skeleton_wall_skull"
  - "snow"
  - "stone_pressure_plate"
  - "trapped_chest"
  - "tripwire"
  - "tripwire_hook"
  - "turtle_egg"
  - "wall_sign"
  - "zombie_head"
  - "zombie_wall_head"
  - "bell"
  - "black_bed"
  - "black_banner"
  - "black_carpet"
  - "black_concrete_powder"
  - "black_wall_banner"
  - "blue_bed"
  - "blue_banner"
  - "blue_carpet"
  - "blue_concrete_powder"
  - "blue_wall_banner"
  - "brown_bed"
  - "brown_banner"
  - "brown_carpet"
  - "brown_concrete_powder"
  - "brown_wall_banner"
  - "cyan_bed"
  - "cyan_banner"
  - "cyan_concrete_powder"
  - "cyan_carpet"
  - "cyan_wall_banner"
  - "gray_bed"
  - "gray_banner"
  - "gray_concrete_powder"
  - "gray_carpet"
  - "gray_wall_banner"
  - "green_bed"
  - "green_banner"
  - "green_concrete_powder"
  - "green_carpet"
  - "green_wall_banner"
  - "light_blue_bed"
  - "light_blue_banner"
  - "light_blue_concrete_powder"
  - "light_blue_carpet"
  - "light_blue_wall_banner"
  - "light_gray_bed"
  - "light_gray_banner"
  - "light_gray_concrete_powder"
  - "light_gray_carpet"
  - "light_gray_wall_banner"
  - "lime_bed"
  - "lime_banner"
  - "lime_concrete_powder"
  - "lime_carpet"
  - "lime_wall_banner"
  - "magenta_bed"
  - "magenta_banner"
  - "magenta_concrete_powder"
  - "magenta_carpet"
  - "magenta_wall_banner"
  - "orange_bed"
  - "orange_banner"
  - "orange_concrete_powder"
  - "orange_carpet"
  - "orange_wall_banner"
  - "pink_bed"
  - "pink_banner"
  - "pink_concrete_powder"
  - "pink_carpet"
  - "pink_wall_banner"
  - "purple_bed"
  - "purple_banner"
  - "purple_concrete_powder"
  - "purple_carpet"
  - "purple_wall_banner"
  - "red_bed"
  - "red_banner"
  - "red_concrete_powder"
  - "red_carpet"
  - "red_wall_banner"
  - "white_bed"
  - "white_banner"
  - "white_concrete_powder"
  - "white_carpet"
  - "white_wall_banner"
  - "yellow_bed"
  - "yellow_banner"
  - "yellow_concrete_powder"
  - "yellow_carpet"
  - "yellow_wall_banner"
  - "brain_coral"
  - "brain_coral_fan"
  - "brain_coral_wall_fan"
  - "bubble_coral"
  - "bubble_coral_block"
  - "bubble_coral_fan"
  - "bubble_coral_wall_fan"
  - "dead_brain_coral"
  - "dead_brain_coral_block"
  - "dead_brain_coral_fan"
  - "dead_brain_coral_wall_fan"
  - "dead_bubble_coral"
  - "dead_bubble_coral_fan"
  - "dead_bubble_coral_wall_fan"
  - "dead_fire_coral"
  - "dead_fire_coral_block"
  - "dead_fire_coral_fan"
  - "dead_fire_coral_wall_fan"
  - "dead_horn_coral"
  - "dead_horn_coral_block"
  - "dead_horn_coral_fan"
  - "dead_tube_coral"
  - "dead_tube_coral_wall_fan"
  - "dried_kelp_block"
  - "horn_coral"
  - "horn_coral_block"
  - "horn_coral_fan"
  - "horn_coral_wall_fan"
  - "tube_coral"
  - "tube_coral_block"
  - "tube_coral_fan"
  - "tube_coral_wall_fan"
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.superiormc.cn/plotsquared-wiki/pei-zhi-wen-jian/setting.yml.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
